import glob
from pathlib import Path
import os

########################################
snapshotnumber = 100
########################################
snapshotnumber_rerun = 0
folderbase = "/gpfs/data/fs71897/ploeckinger/SIMULATIONS/2022_11_IsolatedGalaxies_v2/"
########################################
# Simulation set run variations
########################################
mass_resolution_levels = ["M5"]
softening_resolutions_in_kpc = [0.25]
smoothing_resolutions_in_kpc = [0.0775, 0.0245, 0.00775]
star_formation_efficiencies = [0.00316]
########################################

########################################
# Set folder names and run names
########################################
runfolders = []
rerunfolders = []
foffolders = []
for mass in mass_resolution_levels:
    for soft in softening_resolutions_in_kpc:
        for smooth in smoothing_resolutions_in_kpc:
            for sfe in star_formation_efficiencies:
                ##########################################
                runname = "Galaxy" + mass + \
                          "_soft%4.4ipc"%(int(soft*1000)) + \
                          "_hmin%06.2fpc"%(smooth*1000.) + \
                          "_sfe%06.3f"%(sfe)

                runfolders.append( os.path.join(folderbase, mass, runname) )
                rerunfolders.append( os.path.join(folderbase, mass+"_reruns_snap%4.4i"%(snapshotnumber), "Rerun" + runname) )
                foffolders.append( os.path.join(folderbase, mass+"_fofruns_snap%4.4i"%(snapshotnumber), "FOF"+runname)  )

filebase_runs   = [s + "/output_" for s in runfolders]
filebase_reruns = [s + "/output_" for s in rerunfolders]
filebase_fofruns = [s + "/fof_output_0000.hdf5" for s in foffolders]

runnames = [os.path.split(s)[1] for s in runfolders]

